(setq gnus-select-method '(nnml ""))
(add-to-list 'gnus-secondary-select-methods '(nntp "news.gmane.org"))

;; Load enough read messages not to break threading
(setq gnus-fetch-old-headers nil)

;; Gnus
(setq send-mail-function 'smtpmail-send-it)
(setq message-send-mail-function 'smtpmail-send-it)

;; Don't check for new groups.
(setq gnus-check-new-newsgroups nil)

;; No .newsrc files
(setq gnus-save-newsrc-file nil)
(setq gnus-read-newsrc-file nil)

(setq gnus-use-long-file-name nil)
(setq gnus-use-cache t)
(setq gnus-cache-remove-articles nil)

(setq gnus-inhibit-startup-message t)

(setq gnus-outgoing-message-group "nnml:archive")

(setq gnus-posting-styles
    '((".*"
       (signature-file "~/.signature")
       (name "Me"))))

;; Fancy things
(setq mm-text-html-renderer 'w3m)
(setq mm-inline-text-html-with-images t)
(setq mm-inline-text-html-with-w3m-keymap nil)

;; PGP
(if (< emacs-major-version 24)
    (progn
      (require 'pgg)
      (setq pgg-default-user-id "Me <me@here>"))
  (progn
    (epa-global-mail-mode 1)))

;; sign outgoing mail
(add-hook 'gnus-message-setup-hook 'mml-secure-message-sign-pgpmime)
